<div class="animated fadeIn pb-5" style="max-height: 350rem; overflow: hidden">
  <div class="row">
    <div class="col-sm-6 col-lg-3" *ngIf="ddosAttack">
      <div class="card text-white bg-warning">
        <div class="card-body">
          <div class="text-value">{{ ddosAttack }}</div>
          <div>{{ "dashboard.ddos_attack" | translate }}</div>
        </div>
      </div>
    </div>
    <!--/.col-->
    <div class="col-sm-6 col-lg-3" *ngIf="webappAttack">
      <div class="card text-white bg-danger">
        <div class="card-body">
          <div class="text-value">{{ webappAttack }}</div>
          <div>{{ "dashboard.web_app_attack" | translate }}</div>
        </div>
      </div>
    </div>
    <!--/.col-->
  </div>
  <!--/.row-->

  <div class="box-container row" #chartBounds>
    <div
      ngResizable
      rzHandles="n,s,e,w,se,sw"
      ngDraggable
      [inBounds]="true"
      [bounds]="chartBounds"
      [zIndex]="100"
      [rzGrid]="50"
      class="drag-grid card p-0 col-6"
    >
      <div class="card-header">
        {{ "dashboard.ddos_waf" | translate }}
        <div class="card-header-actions"></div>
      </div>
      <div class="card-body">
        <div class="chart-wrapper">
          <canvas
            baseChart
            class="chart"
            #ddosWafChart="base-chart"
            [datasets]="ddosWafChartData"
            [labels]="lineChartLabels"
            [options]="ddosWafChartOption"
            [legend]="lineChartLegend"
            [chartType]="lineChartType"
            [plugins]="resourceChartPlugins"
          >
          </canvas>
        </div>
      </div>
    </div>
    <div
      ngResizable
      rzHandles="n,s,e,w,se,sw"
      ngDraggable
      [inBounds]="true"
      [bounds]="chartBounds"
      [rzGrid]="[100, 50]"
      [zIndex]="100"
      class="drag-grid card p-0 col-6"
    >
      <div class="card-header">
        {{ "dashboard.throughput" | translate }}
        <div class="card-header-actions">
          <div class="float-right" style="height: 30px">
            <label>
              <select
                class="form-control float-left"
                (change)="getTrafficByInterface($event.target.value)"
                [(ngModel)]="selectedInterface"
              >
                >
                <option
                  [value]="interfaceOption.id"
                  *ngFor="let interfaceOption of interfaces"
                >
                  {{ interfaceOption.name }}
                </option>
              </select>
            </label>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="chart-wrapper">
          <canvas
            baseChart
            class="chart"
            #trafficChart="base-chart"
            [datasets]="trafficChartData"
            [labels]="lineChartLabels"
            [options]="trafficChartOption"
            [legend]="lineChartLegend"
            [chartType]="lineChartType"
            [plugins]="resourceChartPlugins"
          >
          </canvas>
        </div>
      </div>
    </div>
    <div
      ngResizable
      rzHandles="n,s,e,w,se,sw"
      ngDraggable
      [inBounds]="true"
      [bounds]="chartBounds"
      [rzGrid]="[100, 0]"
      [zIndex]="100"
      class="drag-grid card p-0 col-6"
    >
      <div class="card-header">
        {{ "dashboard.system_resource" | translate }}
        <div class="card-header-actions"></div>
      </div>
      <div class="card-body">
        <div class="chart-wrapper">
          <canvas
            baseChart
            class="chart"
            #resourceChart="base-chart"
            [datasets]="resourceChartData"
            [labels]="lineChartLabels"
            [options]="resourceChartOption"
            [legend]="lineChartLegend"
            [chartType]="lineChartType"
            [plugins]="resourceChartPlugins"
          >
          </canvas>
        </div>
      </div>
    </div>
    <div
      ngResizable
      rzHandles="n,s,e,w,se,sw"
      ngDraggable
      [inBounds]="true"
      [bounds]="chartBounds"
      [zIndex]="100"
      [rzGrid]="[100, 10]"
      class="drag-grid card p-0 col-6"
    >
      <div class="card-header">
        {{ "dashboard.status_code" | translate }}
        <div class="card-header-actions"></div>
      </div>
      <div class="card-body">
        <div class="chart-wrapper" *ngIf="httpCodeChartData">
          <canvas
            baseChart
            class="chart"
            #httpCodeChart="base-chart"
            [datasets]="httpCodeChartData"
            [labels]="lineChartLabels"
            [options]="httpCodeChartOption"
            [legend]="lineChartLegend"
            [chartType]="lineChartType"
            [plugins]="resourceChartPlugins"
          >
          </canvas>
        </div>
      </div>
    </div>

    <div
      ngResizable
      rzHandles="n,s,e,w,se,sw"
      ngDraggable
      [inBounds]="true"
      [bounds]="chartBounds"
      [zIndex]="100"
      [rzGrid]="[100, 10]"
      class="drag-grid card p-0 col-6"
    >
      <div class="card-header">
        {{ "dashboard.web_connection" | translate }}
        <div class="card-header-actions">
          <!-- <div class="d-flex align-items-center">
           <span class="pr-1">{{'common.period' | translate}} </span>
              <select class="form-control float-left" (change)="loadWebConnection()"
                [ngModel]="periodFilterChart.controls['webConnectionChart'].value">>
                <option [value]="periodWebConnection.value" *ngFor="let periodWebConnection of periodWebConnectionChart">
                  {{periodWebConnection.label}}
                </option>
              </select>
          </div> -->
        </div>
      </div>
      <div class="card-body">
        <div class="chart-wrapper" *ngIf="webConnectionChartData">
          <canvas
            baseChart
            class="chart"
            #websiteConnectionChart="base-chart"
            [datasets]="webConnectionChartData"
            [labels]="barChartLabels"
            [options]="webConnectionChartOption"
            [legend]="lineChartLegend"
            [chartType]="barChartType"
            [plugins]="resourceChartPlugins"
          >
          </canvas>
        </div>
      </div>
    </div>

    <div
      ngResizable
      rzHandles="n,s,e,w,se,sw"
      ngDraggable
      [inBounds]="true"
      [bounds]="chartBounds"
      [zIndex]="100"
      [rzGrid]="[100, 10]"
      class="drag-grid card p-0 col-6"
    >
      <div class="card-header">
        {{ "dashboard.ip_connection" | translate }}
        <div class="card-header-actions">
          <!-- <div class="d-flex align-items-center">
            <span class="pr-1">{{'common.period' | translate}} </span>
            <select class="form-control float-left" (change)="loadIpConnection()"
              [ngModel]="periodFilterChart.controls['ipConnectionChart'].value">>
              <option [value]="periodIpConnection.value" *ngFor="let periodIpConnection of periodIpConnectionChart">
                {{periodIpConnection.label}}
              </option>
            </select>
          </div> -->
        </div>
      </div>
      <div class="card-body">
        <div class="chart-wrapper" *ngIf="ipConnectionChartData">
          <canvas
            baseChart
            class="chart"
            #ipConnectionChart="base-chart"
            [datasets]="ipConnectionChartData"
            [labels]="ipBarChartLabels"
            [options]="webConnectionChartOption"
            [legend]="lineChartLegend"
            [chartType]="barChartType"
            [plugins]="resourceChartPlugins"
          >
          </canvas>
        </div>
      </div>
    </div>

    <div
      ngResizable
      rzHandles="n,s,e,w,se,sw"
      ngDraggable
      [inBounds]="true"
      [bounds]="chartBounds"
      [zIndex]="100"
      class="drag-grid card p-0 col-6"
    >
      <div class="card-header">
        {{ "dashboard.system_information" | translate }}
        <div class="card-header-actions"></div>
      </div>
      <div class="card-body">
        <div class="chart-wrapper" *ngIf="about && licence">
          <div class="row mb-3 p-3 lh-33">
            <div class="col-4">{{ "about.ha_status" | translate }}</div>
            <div class="col-8">{{ haMode }}</div>
          </div>

          <div class="row mb-3 p-3 lh-33">
            <div class="col-4">{{ "about.cpu_info" | translate }}</div>
            <div class="col-8">{{ about.system_cpu }}</div>
          </div>
          <div class="row mb-3 p-3 lh-33">
            <div class="col-4">{{ "about.licence" | translate }}</div>
            <div class="col-8">{{ licence_API }}</div>
          </div>
          <div class="row mb-3 p-3 lh-33">
            <div class="col-4">{{ "about.licence_info" | translate }}</div>
            <div class="col-8">
              Activated until ({{
                licence.licence_expired | date: "dd/MM/yyyy"
              }})
            </div>
          </div>
          <div class="row mb-3 p-3 lh-33">
            <div class="col-4">{{ "about.ram_info" | translate }}</div>
            <div class="col-8">{{ about.system_ram }}</div>
          </div>
          <div class="row mb-3 p-3 lh-33">
            <div class="col-4">{{ "about.version_info" | translate }}</div>
            <div class="col-8">{{ about.firmware_version }}</div>
          </div>
          <div class="row mb-3 p-3 lh-33">
            <div class="col-4">{{ "about.system_uptime" | translate }}</div>
            <div class="col-8">{{ about.system_uptime }}</div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
